;;; ucs-geometric --- UCS table of Geometric Shapes

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE, Geometric Shapes

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)

(ucs-set-char #x25A0 ?$(C!a(B) ; KS0-C-2161
(ucs-set-char #x25A0 ?$(G!|(B) ; C01-G-217C
(ucs-set-char #x25A0 ?$A!v(B) ; GB0-A-2176
(ucs-set-char #x25A0 ?$@"#(B) ; J78-@-2223
(ucs-set-char #x25A0 ?$B"#(B) ; J83-B-2223

(ucs-set-char #x25A1 ?$(C!`(B) ; KS0-C-2160
(ucs-set-char #x25A1 ?$(G!{(B) ; C01-G-217B
(ucs-set-char #x25A1 ?$A!u(B) ; GB0-A-2175
(ucs-set-char #x25A1 ?$@""(B) ; J78-@-2222
(ucs-set-char #x25A1 ?$B""(B) ; J83-B-2222

(ucs-set-char #x25A3 ?$(C"C(B) ; KS0-C-2243

(ucs-set-char #x25A4 ?$(C"G(B) ; KS0-C-2247

(ucs-set-char #x25A5 ?$(C"H(B) ; KS0-C-2248

(ucs-set-char #x25A6 ?$(C"K(B) ; KS0-C-224B

(ucs-set-char #x25A7 ?$(C"J(B) ; KS0-C-224A

(ucs-set-char #x25A8 ?$(C"I(B) ; KS0-C-2249

(ucs-set-char #x25A9 ?$(C"L(B) ; KS0-C-224C

(ucs-set-char #x25B2 ?$(C!c(B) ; KS0-C-2163
(ucs-set-char #x25B2 ?$A!x(B) ; GB0-A-2178
(ucs-set-char #x25B2 ?$(G!u(B) ; C01-G-2175
(ucs-set-char #x25B2 ?$@"%(B) ; J78-@-2225
(ucs-set-char #x25B2 ?$B"%(B) ; J83-B-2225

(ucs-set-char #x25B3 ?$(C!b(B) ; KS0-C-2162
(ucs-set-char #x25B3 ?$A!w(B) ; GB0-A-2177
(ucs-set-char #x25B3 ?$(G!t(B) ; C01-G-2174
(ucs-set-char #x25B3 ?$@"$(B) ; J78-@-2224
(ucs-set-char #x25B3 ?$B"$(B) ; J83-B-2224

(ucs-set-char #x25B6 ?$(C":(B) ; KS0-C-223A

(ucs-set-char #x25B7 ?$(C"9(B) ; KS0-C-2239

(ucs-set-char #x25BC ?$(C!e(B) ; KS0-C-2165
(ucs-set-char #x25BC ?$(G!~(B) ; C01-G-217E
(ucs-set-char #x25BC ?$@"'(B) ; J78-@-2227
(ucs-set-char #x25BC ?$B"'(B) ; J83-B-2227

(ucs-set-char #x25BD ?$(C!d(B) ; KS0-C-2164
(ucs-set-char #x25BD ?$(G!}(B) ; C01-G-217D
(ucs-set-char #x25BD ?$@"&(B) ; J78-@-2226
(ucs-set-char #x25BD ?$B"&(B) ; J83-B-2226

(ucs-set-char #x25C0 ?$(C"8(B) ; KS0-C-2238

(ucs-set-char #x25C1 ?$(C"7(B) ; KS0-C-2237

(ucs-set-char #x25C6 ?$(C!_(B) ; KS0-C-215F
(ucs-set-char #x25C6 ?$(G!z(B) ; C01-G-217A
(ucs-set-char #x25C6 ?$A!t(B) ; GB0-A-2174
(ucs-set-char #x25C6 ?$@"!(B) ; J78-@-2221
(ucs-set-char #x25C6 ?$B"!(B) ; J83-B-2221

(ucs-set-char #x25C7 ?$(G!y(B) ; C01-G-2179
(ucs-set-char #x25C7 ?$A!s(B) ; GB0-A-2173
(ucs-set-char #x25C7 ?$(C!^(B) ; KS0-C-215E
(ucs-set-char #x25C7 ?$@!~(B) ; J78-@-217E
(ucs-set-char #x25C7 ?$B!~(B) ; J83-B-217E

(ucs-set-char #x25C8 ?$(C"B(B) ; KS0-C-2242

(ucs-set-char #x25CB ?$(G!r(B) ; C01-G-2172
(ucs-set-char #x25CB ?$A!p(B) ; GB0-A-2170
(ucs-set-char #x25CB ?$(C![(B) ; KS0-C-215B
(ucs-set-char #x25CB ?$@!{(B) ; J78-@-217B
(ucs-set-char #x25CB ?$B!{(B) ; J83-B-217B

(ucs-set-char #x25CE ?$(G!v(B) ; C01-G-2176
(ucs-set-char #x25CE ?$A!r(B) ; GB0-A-2172
(ucs-set-char #x25CE ?$(C!](B) ; KS0-C-215D
(ucs-set-char #x25CE ?$@!}(B) ; J78-@-217D
(ucs-set-char #x25CE ?$B!}(B) ; J83-B-217D

(ucs-set-char #x25CF ?$(G!s(B) ; C01-G-2173
(ucs-set-char #x25CF ?$A!q(B) ; GB0-A-2171
(ucs-set-char #x25CF ?$(C!\(B) ; KS0-C-215C
(ucs-set-char #x25CF ?$@!|(B) ; J78-@-217C
(ucs-set-char #x25CF ?$B!|(B) ; J83-B-217C

(ucs-set-char #x25D0 ?$(C"D(B) ; KS0-C-2244

(ucs-set-char #x25D1 ?$(C"E(B) ; KS0-C-2245

(ucs-set-char #x25E2 ?$(G#H(B) ; C01-G-2348

(ucs-set-char #x25E3 ?$(G#I(B) ; C01-G-2349

(ucs-set-char #x25E4 ?$(G#K(B) ; C01-G-234B

(ucs-set-char #x25E5 ?$(G#J(B) ; C01-G-234A

(ucs-set-char #x25EF ?$B"~(B) ; J83-B-227E

;;; ucs-geometric ends here
